# TypeProviders: get

> [!NOTE]
> **Note:** Requires [authorization](https://docs.cloud.google.com/deployment-manager/docs/reference/v2beta/typeProviders/get#auth).

Gets information about a specific type provider.
[Try it now](https://docs.cloud.google.com/deployment-manager/docs/reference/v2beta/typeProviders/get#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/deploymentmanager/v2beta/projects/project/global/typeProviders/typeProvider
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `project` | `string` | The project ID for this request. |
| `typeProvider` | `string` | The name of the type provider for this request. |

### Authorization

This request requires authorization with at least one of the following scopes:

| Scope |
|---|
| `https://www.googleapis.com/auth/cloud-platform.read-only` |
| `https://www.googleapis.com/auth/ndev.cloudman.readonly` |
| `https://www.googleapis.com/auth/cloud-platform` |
| `https://www.googleapis.com/auth/ndev.cloudman` |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a [TypeProviders resource](https://docs.cloud.google.com/deployment-manager/docs/reference/v2beta/typeProviders#resource) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.